// This script demonstrates how to access various properties
// of the current point selection, such as point count,
// point type, point size, number of counters and counts.

  img = IJ.getImage();
  points = img.getRoi();
  if (points==null || !(points instanceof PointRoi))
     IJ.error("Point selection required");
  print("");
  nPoints = points.size();
  print("Number of points: "+nPoints);
  type = points.getPointType();
  print("Point type: "+PointRoi.types[type]);
  size = points.getSize();
  print("Point size: "+PointRoi.sizes[size]);
  counter = points.getCounter();
  print("Current counter: "+counter);
  nCounters = points.getNCounters();
  print("Number of counters: "+nCounters);
  lastCounter = points.getLastCounter();
  print("Last counter: "+lastCounter);
  for (i=0; i<=lastCounter; i++)
     print("Counter "+i+": "+points.getCount(i));
